<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Informasi_SPP_santri_model extends CI_Model
{
    public function get_data($table)
    {
        return $this->db->get($table);
    }

    public function get_informasispp()
    {
        $this->db->order_by('bulan', 'ASC');
        return $this->db->get('tb_informasi_spp_santri')->result();
    }

    public function get_informasi_spp_by_santri($id_santri)
    {
        return $this->db->get_where('tb_informasi_spp_santri', ['id_santri' => $id_santri])->result();
    }

    public function insert_data($data, $table)
    {
        $this->db->insert($table, $data);
    }

    public function update_data($data, $table)
    {
        $this->db->where('id_spp_santri', $data['id_spp_santri']);
        $this->db->update($table, $data);
    }

    public function get_data_by_id($id_spp_santri)
    {
        return $this->db->get_where('tb_informasi_spp_santri', array('id_spp' => $id_spp_santri))->row();
    }

    public function delete($where, $table)
    {
        $this->db->where($where);
        $this->db->delete($table);
    }
}
